<Test>
   <Name>M20</Name>
   <Cat>Router</Cat>
   <IRLength>5</IRLength>
   <Protocol>EJTAG</Protocol>
   <Endian>Little</Endian>
    <LVMode>1</LVMode>
    <DMA>No</DMA>
    <ProbTrap>1</ProbTrap>
    <SPIFlash>1</SPIFlash>
    <Programram>0x80100000</Programram>
    <Memorys>
        <Memory>
            <Name>Ram</Name>
            <Type>0</Type>
            <Address>0x80000000</Address>
            <Size>0x800000</Size>
        </Memory>
        <Memory>
            <Name>CFE</Name>
            <Type>1</Type>
            <Address>0x9FC00000</Address>
            <Size>0x40000</Size>
        </Memory>
        <Memory>
            <Name>KERNEL</Name>
            <Type>1</Type>
            <Address>0x9FC40000</Address>
            <Size>0x3B0000</Size>
        </Memory>
        <Memory>
            <Name>NVRAM</Name>
            <Type>1</Type>
            <Address>0x9FFF0000</Address>
            <Size>0x10000</Size>
        </Memory>
    </Memorys>
</Test>
